# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name: planet
Version: 2.0
Release: alt1_15
Summary: Flexible RDF/RSS/Atom feed aggregator

Group: Networking/WWW
License: Python
URL: http://www.planetplanet.org/
Source0: http://www.planetplanet.org/download/%{name}-%{version}.tar.bz2
Patch1: planet-1.0-no-shebang.patch
Patch2: planet-js-sanitize.patch

BuildArch: noarch
BuildRequires: python-devel
BuildRequires: python-module-distribute
Source44: import.info


%description
Planet is a flexible feed aggregator, this means that it downloads feeds
and aggregates their content together into a single combined feed with
the latest news first.

It uses Mark Pilgrim's Ultra-liberal feed parser so can read from RDF, RSS
and Atom feeds and Tomas Styblo's template library to output static files
in unlimited formats based on a series of templates.


%prep
%setup -q
%patch1 -p1 -b .no-shebang
%patch2 -p0 -b .js-sanitize

# Fix line endings.
%{__sed} -i 's/\r//' LICENCE


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

# Remove .py from install scripts, e.g. planet.py -> planet.
REGEXP='s:%{_bindir}/\(.*\).py:%{_bindir}/\1:'

for i in $RPM_BUILD_ROOT%{_bindir}/*.py; do
  mv -v $i $(echo $i | sed -e $REGEXP)
done


%files
%doc AUTHORS INSTALL LICENCE NEWS PKG-INFO THANKS README examples
%{_bindir}/planet*
%exclude %{_bindir}/runtests
%dir %{python_sitelibdir_noarch}/planet
%{python_sitelibdir_noarch}/planet/*.py*
%{python_sitelibdir_noarch}/planet-%{version}-*.egg-info
%dir %{python_sitelibdir_noarch}/planet/compat_logging
%{python_sitelibdir_noarch}/planet/compat_logging/*.py*
%exclude %{python_sitelibdir_noarch}/planet/tests
%exclude %{python_sitelibdir_noarch}/planet/tests/*


%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 2.0-alt1_15
- initial fc import

